body {
  background-image: url("images/defaultBG.jpg");
  background-attachment: fixed;
  background-size: 100% 100%;
  font-family: Arial, Helvetica, sans-serif;
  margin: 0px;
}

/* ------------------ top banner ------------------ */

div.banner {
  width: 100%;
  height: 100px;
  background-image: url("images/logo-new.png"),
                    url("images/logo-new-text.png"),
                    url("images/logoBG.jpg");
  background-position: 10%, 50%, center;
  background-size: auto 100%, auto 70%, contain;
  background-repeat: no-repeat, no-repeat, repeat-x;
  display: flex;
  align-items: center;
  overflow: hidden;
}

.banner a {
  margin-left: 5%;
  margin-right: 5%;
  text-decoration: none;
  flex: auto;
}

.logo {
  height: 100px;
  vertical-align: middle;
}

.logotext {
  height: 70px;
  vertical-align: middle;
  margin-right: 45%;
}

.parishname {
  font-family: times;
  font-weight: bold;
  font-size:   1.3em;
  color:       gold;
  flex:        auto;
  margin-right: 16%;
}

/* ------------------ open/close side menu icon styles ------------------ */
.menu-icon {				/* icon container */
  display: none;			/* only visible on narrow screens */
  cursor: pointer;
  top: 75px;
  right: 3px;
  position: absolute;
  padding: 2px 3px;
  background-color: #e5e5e5;
  border-radius: 3px;
  z-index: 2;				/* keep on top */
}

.bar1, .bar2, .bar3 {		/* div style */
  width: 20px;
  height: 2px;
  background-color: #333;
  margin: 2px 0;
  transition: 0.1s;
}

/* additional styles for bars to be toggled in and out */
.change .bar1 {				/* top bar */
  -webkit-transform: translate(0px, 4px) rotate(-45deg);
  transform: translate(0px, 4px) rotate(-45deg);
}

.change .bar2 {				/* middle bar */
    opacity: 0;
}

.change .bar3 {				/* bottom bar */
  -webkit-transform: translate(0px, -4px) rotate(45deg);
  transform: translate(-0px, -4px) rotate(45deg);
}

/* ------------------ top menu styles ------------------ */
.menu-container {
  overflow: hidden;
/*  background-color: #72B7ff;	/* light blue */
  background-color: #a9c1c6;	/* light teal */
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.dropdown {
  overflow: hidden;
}

.dropdown .dropbtn {
  margin: 0px;
  padding: 8px 40px;
  border: none;
  outline: none;
  display: block;
  color: black;
  background-color: inherit;
  font-size: 1em;  
  font-family: inherit;
  font-weight: bold;
  min-width: 160px;
}

.dropdown:hover .dropbtn {
/*  background-color: #2B4593;	/* dark blue */
  background-color: #145664;	/* dark teal */
  color: white;
}

.dropdown-content {
  display: none;
  position: absolute;
/*  background-color: #2B4593;	/* dark blue */
  background-color: #145664;	/* dark teal */
  min-width: 160px;
  z-index: 5;
  transition: max-height 0.3s;
}

.dropdown-content a {
  float: none;
  color: white;
  padding: 2px 24px;
  text-decoration: none;
  display: block;
  text-align: left;
  line-height: 1.8em;
}

.dropdown-content h4 {
  margin: 0px;
  text-align: center;
  font-size: .9em;
  color: white;
}

.dropdown-content a:hover {
/*  background-color: #4B65B3;	/* medium blue */
  background-color: #148c87;	/* medium teal */
}

.dropdown:hover .dropdown-content {
  display: block;
}

.submenu {
  overflow: hidden;
}

.submenu .subbtn {
  margin: 0px;
  padding: 8px 40px;
  border: none;
  outline: none;
  display: block;
  color: white;
  background-color: #145664;	/* dark teal */
  font-size: 1em;  
  font-family: inherit;
  font-weight: bold;
  min-width: 160px;
}

.submenu-content {
  display: none;
/*  position: relative;*/
  position: absolute;
  right:  -160px;
  margin-top: -30px;
/*  background-color: #2B4593;	/* dark blue */
  background-color: #145664;	/* dark teal */
  min-width: 160px;
  z-index: 5;
  transition: max-height 0.3s;
}

.submenu-content a {
  float: none;
  color: white;
  padding: 2px 24px;
  text-decoration: none;
  display: block;
  text-align: left;
  line-height: 1.8em;
}

.submenu-content h4 {
  margin: 0px;
  text-align: center;
  font-size: .9em;
  color: white;
}

.submenu-content a:hover {
/*  background-color: #4B65B3;	/* medium blue */
  background-color: #148c87;	/* medium teal */
}

.submenu:hover .submenu-content {
  display: block;
}

.sarrow {               /* sub arrow */
  float: right;
  margin: 4px 2px 0px 2px;
  font-size: .6em;
  color: white;
}

.darrow {               /* down arrow */
  display: none;       /* only visible on side menu */
  float: right;
  margin: 4px 2px 0px 2px;
  font-size: .6em;
  color: white;
}

/* ------------------ side menus styles ------------------ */
@media screen and (max-width: 680px) {
  .parishname {
    font-size: 1.1em;
   }

  .menu-container {
    position: absolute;
    top: 100px;
    width: 0px;
    right: 0px;              /* not visible */
/*    background-color: #2B4593;	/* dark blue */
    background-color: #145664;	/* dark teal */
    flex-direction: column;
    align-items: stretch;
    z-index: 5;             /* on top of page elements */
    overflow: auto;
    transition: width 0.5s;
  }

  .dropdown-content {
    display: block;
    max-height: 0;
    position: relative;
    background-color: #336c78;      /* lighter teal */
/*    background-color: #3250aa;		/* lighter blue */
    z-index: 5;
  }

  .dropdown .dropbtn {
/*    background-color: #2B4593;		/* dark blue */
    background-color: #145664;		/* dark teal */
    color: white;
    margin: 0px;
    padding: 4px 8px 4px 16px;  /* top right bottom left */
    text-align: left;
    width: 100%;        /* show in narrow screen mode */
  }

  .submenu-content {
    display: block;
    max-height: 0;
    position: relative;
    right:  0px;
    margin-top: 0px;
    background-color: #336c78;      /* lighter teal */
/*  background-color: #2B4593;	/* dark blue */
/*    background-color: #145664;	/* dark teal */
    z-index: 5;
  }

  .submenu .subbtn {
/*    background-color: #336c78;      /* lighter teal */
/*    background-color: #145664;	/* dark teal */
    background-color: #226472;	/* medium teal */
    color: white;
    margin: 0px;
    padding: 4px 8px 4px 16px;  /* top right bottom left */
    text-align: left;
    width: 100%;        /* show in narrow screen mode */
  }

  .darrow {
    display: block;     /* show down arrow */
  }

  .menu-icon {
    display: block;     /* show menu icon */
  }

  .dropdown {
    width: auto;        /* show in narrow screen mode */
    position: relative;
  }

  .drop {
    transition: max-height 1.0s;
    max-height: 1200px;
  }

/* slide menu to left by toggeling to show class in js */
  .show {
    width: 275px;
  }
}
